ALARM(3)

NAME
alarm - set signal timer alarm

SYNOPSIS
#include <unistd.h>
unsigned int
alarm(unsigned int seconds);

DESCRIPTION
This interface is made obsolete by setitimer(2).

The alarm() function waits a count of seconds before asserting the terminating signal SIGALRM. When the signal has successfully been caught, alarm() returns the amount of time left on the clock. The maximum number of seconds allowed is 100000000.

If an alarm has been set with alarm(), another call to alarm() will supersede the prior call. The request alarm(0) voids the current alarm.

RETURN VALUES
If the call succeeds, any time left remaining from a previous call is returned. If an error occurs, the value -1 is returned, and a more precise error code is placed in the global variable errno.

SEE ALSO
setitimer(2), sigaction(2), signal(3), sigpause(3), sigvec(3), sleep(3), ualarm(3), usleep(3)

STANDARDS
The alarm() function conforms to p1003.1-90.

HISTORY
An alarm() function appeared in AT&T UNIX.